Subject: Re: [tip:core/rseq 25/39] include/linux/rseq_entry.h:132:3: error: invalid operand for instruction

From: Nathan Chancellor <[email-masked]>
Date: Tue, 25 Nov 2025 16:39:33 -0700

On Tue, Nov 25, 2025 at 04:18:34PM -0700, Nathan Chancellor wrote:
> That avoids the error for me. I notice that this does not reproduce
> beyond clang-16 for me so I am going to bisect LLVM to see what fixes
> this error.

Oh, it is because of commit e2ffa15b9baa ("kbuild: Disable
CC_HAS_ASM_GOTO_OUTPUT on clang < 17"). Prior to that change, all
supported versions of clang would use the CONFIG_CC_HAS_ASM_GOTO_OUTPUT
blocks in arch/powerpc/include/asm/uaccess.h, whereas now clang-15 and
clang-16 will use the variants without asm goto with outputs.

Cheers,
Nathan